# FoundationClasses
TKernel
OSD

# OSD_Directory Class Reference

Management of directories
.

`#include <OSD_Directory.hxx>`

Inheritance diagram for OSD_Directory:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | OSD_Directory ()
| Creates Directory object. It is initiliazed to an empty name. .
Standard_EXPORT | OSD_Directory (const OSD_Path &Name)
| Creates Directory object initialized with Name. .
Standard_EXPORT void | Build (const OSD_Protection &Protect)
| Creates (physically) a directory. When a directory of the same name already exists, no error is returned, and only <protect> is applied to the existing directory. .

## Static Public Member Functions

static Standard_EXPORT OSD_Directory | BuildTemporary ()
| Creates a temporary Directory in current directory. This directory is automatically removed when object dies. .

## Constructor & Destructor Documentation

Standard_EXPORT OSD_Directory::OSD_Directory | ( |  | ) |

Standard_EXPORT OSD_Directory::OSD_Directory | ( | const OSD_Path & | Name | ) |

## Member Function Documentation

Standard_EXPORT void OSD_Directory::Build | ( | const OSD_Protection & | Protect | ) |

static Standard_EXPORT OSD_Directory OSD_Directory::BuildTemporary | ( |  | ) | `[static]`

void OSD_Directory::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from OSD_FileNode.

void* OSD_Directory::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from OSD_FileNode.

void* OSD_Directory::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from OSD_FileNode.

The documentation for this class was generated from the following file:

- OSD_Directory.hxx